<?php

  session_start();
  include('../../../php/conn_2.php');
  if(!isset($_SESSION["id"])){
    header('Location: index.php');
  }

  mysqli_query($enlace, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
  mysqli_query($enlacehost, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");

  // Asigna mes por defecto cuando venga vacío
  $filtro_mes = '';

  // Obtiene todos los parámetros por defecto
  if($_GET["mes"] == 'null'){
  	// Nombre de tabla de resultados
    $query = "SELECT tabla_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)) {
      if (mysqli_num_rows($res) > 0) {
        while($row = mysqli_fetch_assoc($res)) {
          $nom_tabla = $row["tabla_encuesta"];
        }
      }
    }

    // Encuesta
    $query = "SELECT cod_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_GET["cod_cliente"]." ORDER BY orden_encuesta LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_encuesta = $row["cod_encuesta"];
      };
    }

	// Último año con datos
    $query = "SELECT YEAR(submitdate) AS Anho FROM ".$nom_tabla." WHERE submitdate IS NOT NULL GROUP BY YEAR(submitdate) ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_anho = $row["Anho"];
      };
    }

    // Último mes con datos
    $query = "SELECT cod_mes FROM ".$nom_tabla." WHERE submitdate IS NOT NULL AND cod_anho = ".$filtro_anho." GROUP BY cod_mes ORDER BY 1 DESC LIMIT 1";

    if ($res = mysqli_query($enlace, $query)){
      while($row = mysqli_fetch_array($res)){
        $filtro_mes = $row["cod_mes"];
      };
    }

    // Filtros
	$filtro_filtros = '';
  }
  else{
  	$nom_tabla = $_GET["tabla_resultados"];

  	$filtro_encuesta = $_GET["cod_encuesta"];
  	$filtro_anho = $_GET["anho"];
  	$filtro_mes = $_GET["mes"];
  	$filtro_filtros = $_GET["filtros"];
  }
?>

<!DOCTYPE html>
<html lang="es">
  <head>

  </head>

  <body>
  	<div class="">
  		<div class="row">
  			<div class="col-md-12 col-sm-12 col-xs-12">
  				<div class="x_panel">
  					<div class="x_title">
	                    <h2 style="font-size: 13px">
	                        INFORME DE RESULTADOS
	                    </h2>
	                    <!-- <ul class="nav navbar-right panel_toolbox">
	                      <li>
	                        <a class="collapse-link">
	                          <i class="fa fa-chevron-up">
	                          </i>
	                        </a>
	                      </li>
	                    </ul> -->
	                    <div class="clearfix"></div>
                  	</div>
                  	<div class="x_content">

                  		<?php
                  			// Arma la estructura de la presentación de gráficos (eCharts)
                  			$query = "SELECT presentacion_orden, presentacion_dimension FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND cod_tipopresentacion <> 4 ORDER BY presentacion_orden";

                  			if ($resultado = mysqli_query($enlace, $query)) {
                  				if (mysqli_num_rows($resultado) > 0) {
                  					while($row = mysqli_fetch_assoc($resultado)) {
                  						echo '<div id="presentacion'.$row["presentacion_orden"].'" style="height:350px;" class="'.$row["presentacion_dimension"].' col-sm-12 col-xs-12">';
                  						echo '</div>';
                  					}
                  				}
              					mysqli_free_result($resultado);
							}

							// Arma la estructura de la presentación de tablas de resumen
							$query = "SELECT Id, presentacion_orden, presentacion_dimension, presentacion_titulo FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND cod_tipopresentacion = 4 ORDER BY presentacion_orden";

                  			if ($res_table = mysqli_query($enlace, $query)) {
                  				if (mysqli_num_rows($res_table) > 0) {
                  					while($row_table = mysqli_fetch_assoc($res_table)) {
                  						echo '<div class="row">';
					                      echo '<div class="col-md-12 col-sm-12 col-xs-12">';
					                        echo '<div class="x_panel">';
					                          echo '<div class="x_title">';
					                            echo '<h2>'.$row_table["presentacion_titulo"].'</h2>';
					                            echo '<div class="clearfix">';
					                            echo '</div>';
					                          echo '</div>';
					                          echo '<div class="x_content">';
					                          	echo '<table id="datatable" class="table table-striped jambo_table bulk_action">';
		                          					// Arma las cabeceras
		                          					echo '<thead>';
			                  							//echo '<tr role="row">';
			                  							echo '<tr>';
								                            $query = "SELECT seriex_codpregunta, seriex_etiqueta FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = '".$row_table["Id"]."' ORDER BY seriex_orden";

								                            $query_datos = "";
								                            $campo1 = '';

								                            $i = 1;

								                            if ($res_cab = mysqli_query($enlace, $query)) {
								                  				if (mysqli_num_rows($res_cab) > 0) {
								                  					while($row_cab = mysqli_fetch_assoc($res_cab)) {
								                  						if ($i == 1){
								                  							$query_datos .= $row_cab["seriex_codpregunta"]. ', ';
								                  							$campo1 = $row_cab["seriex_codpregunta"];

								                  							// echo '<th tabindex="0" class="sorting" aria-controls="datatable" style="width: 158px;" aria-label="Name: activate to sort column descending" aria-sort="ascending" rowspan="1" colspan="1">';
								                  						}
								                  						else{
								                  							$query_datos .= 'ROUND(AVG(`'.$row_cab["seriex_codpregunta"].'`) * 100, 1), ';

								                  							// echo '<th tabindex="0" class="sorting" aria-controls="datatable" style="width: 261px;" aria-label="Position: activate to sort column ascending" rowspan="1" colspan="1">';
								                  						}

								                  						echo '<th>';
								                                        echo $row_cab["seriex_etiqueta"];
								                                        echo '</th>';

								                                        $i += 1;
								                  					}

								                  					$query_datos = substr($query_datos, 0, -2);
								                  				}
								                  				mysqli_free_result($res_cab);
								                  			}
						                  				echo '</tr>';
													echo '</thead>';

													// cargando los datos
						                            echo '<tbody>';

						                            $query = 'SELECT CONCAT_WS('."'|',".$query_datos.') AS datos FROM '.$nom_tabla.' GROUP BY '.$campo1;

						                            $r = 1; // Utilizado para pintar las filas

						                            if ($res_dat = mysqli_query($enlace, $query)) {
						                  				if (mysqli_num_rows($res_dat) > 0) {
						                  					while($row_dat = mysqli_fetch_assoc($res_dat)) {
						                  						$j = 1;
						                  						//$cadena_original = '';

						                  						if($r % 2 == 0){
						                  							$color = "even";
						                  						}
						                  						else{
						                  							$color = "odd";
						                  						}
						                  						//echo '<tr class="'.$color.'" role="row">';
						                  						echo '<tr>';
						                  						
						                                        // $cadena = $row_dat["datos"];
						                                        // $cadena_original = $cadena;

						                                        $cadena_original = $row_dat["datos"];

						                                        $num_campos = $i - 1;

						                                        while($j <= $num_campos){
																	if($j == 1){
																		//echo '<td class="sorting_1">';
																	}
																	else{
																		//echo '<td>';
																	}

																	echo '<td>';

						                                        	$cadena = substr($cadena_original, 0, strpos($cadena_original, '|'));
						                                        	$new_cadena = substr($cadena, strpos($cadena, '|'));
							                                        	
						                                        	if ($j == $num_campos){
																		$new_cadena = $cadena_original;
						                                        	}
						                                        	else{
						                                        		
							                                        	$cadena_original = substr($cadena_original, strpos($cadena_original, '|') + 1);
						                                        	}

						                                        	echo $new_cadena;

																	echo '</td>';

																	$j += 1;
						                                        }

						                                        echo '</tr>';

						                                        $r += 1;
						                  					}
						                  				}
						                  				mysqli_free_result($res_dat);
						                  			}

													echo '</tbody>';
					                            echo '</table>';
												//echo '</div>';
					                          echo '</div>';
					                        echo '</div>';
					                      echo '</div>';
					                    echo '</div>';
                  					}
                  				}
              					mysqli_free_result($res_table);
							}
              			?>

					</div>
              	</div>
            </div>
		</div>
  	</div>

  	<!-- <div id="mainb" style="height:350px;">
							
	</div> -->

    <?php echo "Esto es una prueba de recarga. Tabla: ".$nom_tabla.", Encuesta: ".$filtro_encuesta.", Año: ".$filtro_anho.", Mes: ".$filtro_mes.", Filtros: ".$filtro_filtros; ?>

    <!-- ECharts -->
    <!-- <script src="../vendors/echarts/dist/echarts.min.js"></script>
    <script src="../vendors/echarts/map/js/world.js"></script> -->

    <!-- Custom Theme Scripts -->
    <!-- <script src="../build/js/custom.min.js"></script> -->

    <script type="text/javascript">
		// Obteniendo datos de cabecera
		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda, es_evolutivo FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 1";

      $presentacion_titulo = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion = $row["cod_tipopresentacion"];
						$grupoindicador = $row["cod_grupoindicador"];
						$origen_crucedatos = $row["origen_crucedatos"];
						$origen_componente = $row["origen_componente"];
						$componente_criteriodatos = $row["componente_criteriodatos"];
						$presentacion_orden = $row["presentacion_orden"];
						$presentacion_titulo = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda = $row["show_leyenda"];
						$es_evolutivo = $row["es_evolutivo"];
					}
				}

        mysqli_free_result($resultado);
      }
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda, es_evolutivo FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 2";

      $presentacion_titulo2 = '...';

      if ($resultado = mysqli_query($enlace, $query)) {
        if (mysqli_num_rows($resultado) > 0) {
          while($row = mysqli_fetch_assoc($resultado)) {
            $tipopresentacion2 = $row["cod_tipopresentacion"];
            $grupoindicador2 = $row["cod_grupoindicador"];
            $origen_crucedatos2 = $row["origen_crucedatos"];
            $origen_componente2 = $row["origen_componente"];
            $componente_criteriodatos2 = $row["componente_criteriodatos"];
            $presentacion_orden2 = $row["presentacion_orden"];
            $presentacion_titulo2 = str_replace('"', '', $row["presentacion_titulo"]);
            $presentacion_subtitulo2 = str_replace('"', '', $row["presentacion_subtitulo"]);
            $show_leyenda2 = $row["show_leyenda"];
            $es_evolutivo2 = $row["es_evolutivo"];
          }
        }

        mysqli_free_result($resultado);
      }
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 3";

      $presentacion_titulo3 = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion3 = $row["cod_tipopresentacion"];
						$grupoindicador3 = $row["cod_grupoindicador"];
						$origen_crucedatos3 = $row["origen_crucedatos"];
						$origen_componente3 = $row["origen_componente"];
						$componente_criteriodatos3 = $row["componente_criteriodatos"];
						$presentacion_orden3 = $row["presentacion_orden"];
						$presentacion_titulo3 = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo3 = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda3 = $row["show_leyenda"];
					}
				}

			  mysqli_free_result($resultado);
      }
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 4";

      $presentacion_titulo4 = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion4 = $row["cod_tipopresentacion"];
						$grupoindicador4 = $row["cod_grupoindicador"];
						$origen_crucedatos4 = $row["origen_crucedatos"];
						$origen_componente4 = $row["origen_componente"];
						$componente_criteriodatos4 = $row["componente_criteriodatos"];
						$presentacion_orden4 = $row["presentacion_orden"];
						$presentacion_titulo4 = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo4 = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda4 = $row["show_leyenda"];
					}
				}

			  mysqli_free_result($resultado);
      }
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 5";

      $presentacion_titulo5 = '...';

      if ($resultado = mysqli_query($enlace, $query)) {
      	if (mysqli_num_rows($resultado) > 0) {
      		while($row = mysqli_fetch_assoc($resultado)) {
      			$tipopresentacion5 = $row["cod_tipopresentacion"];
      			$grupoindicador5 = $row["cod_grupoindicador"];
      			$origen_crucedatos5 = $row["origen_crucedatos"];
      			$origen_componente5 = $row["origen_componente"];
      			$componente_criteriodatos5 = $row["componente_criteriodatos"];
      			$presentacion_orden5 = $row["presentacion_orden"];
      			$presentacion_titulo5 = str_replace('"', '', $row["presentacion_titulo"]);
      			$presentacion_subtitulo5 = str_replace('"', '', $row["presentacion_subtitulo"]);
      			$show_leyenda5 = $row["show_leyenda"];
      		}
      	}

        mysqli_free_result($resultado);
      }
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 6";

      $presentacion_titulo6 = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion6 = $row["cod_tipopresentacion"];
						$grupoindicador6 = $row["cod_grupoindicador"];
						$origen_crucedatos6 = $row["origen_crucedatos"];
						$origen_componente6 = $row["origen_componente"];
						$componente_criteriodatos6 = $row["componente_criteriodatos"];
						$presentacion_orden6 = $row["presentacion_orden"];
						$presentacion_titulo6 = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo6 = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda6 = $row["show_leyenda"];
					}
				}

        mysqli_free_result($resultado);
			}
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 7";

      $presentacion_titulo7 = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion7 = $row["cod_tipopresentacion"];
						$grupoindicador7 = $row["cod_grupoindicador"];
						$origen_crucedatos7 = $row["origen_crucedatos"];
						$origen_componente7 = $row["origen_componente"];
						$componente_criteriodatos7 = $row["componente_criteriodatos"];
						$presentacion_orden7 = $row["presentacion_orden"];
						$presentacion_titulo7 = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo7 = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda7 = $row["show_leyenda"];
					}
				}

				mysqli_free_result($resultado);
			}
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 8";

      $presentacion_titulo8 = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion8 = $row["cod_tipopresentacion"];
						$grupoindicador8 = $row["cod_grupoindicador"];
						$origen_crucedatos8 = $row["origen_crucedatos"];
						$origen_componente8 = $row["origen_componente"];
						$componente_criteriodatos8 = $row["componente_criteriodatos"];
						$presentacion_orden8 = $row["presentacion_orden"];
						$presentacion_titulo8 = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo8 = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda8 = $row["show_leyenda"];
					}
				}

				mysqli_free_result($resultado);
			}
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 9";

      $presentacion_titulo9 = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion9 = $row["cod_tipopresentacion"];
						$grupoindicador9 = $row["cod_grupoindicador"];
						$origen_crucedatos9 = $row["origen_crucedatos"];
						$origen_componente9 = $row["origen_componente"];
						$componente_criteriodatos9 = $row["componente_criteriodatos"];
						$presentacion_orden9 = $row["presentacion_orden"];
						$presentacion_titulo9 = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo9 = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda9 = $row["show_leyenda"];
					}
				}

				mysqli_free_result($resultado);
			}
		?>

		<?php
      $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo, presentacion_subtitulo, show_leyenda FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 10";

      $presentacion_titulo10 = '...';

			if ($resultado = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($resultado) > 0) {
					while($row = mysqli_fetch_assoc($resultado)) {
						$tipopresentacion10 = $row["cod_tipopresentacion"];
						$grupoindicador10 = $row["cod_grupoindicador"];
						$origen_crucedatos10 = $row["origen_crucedatos"];
						$origen_componente10 = $row["origen_componente"];
						$componente_criteriodatos10 = $row["componente_criteriodatos"];
						$presentacion_orden10 = $row["presentacion_orden"];
						$presentacion_titulo10 = str_replace('"', '', $row["presentacion_titulo"]);
						$presentacion_subtitulo10 = str_replace('"', '', $row["presentacion_subtitulo"]);
						$show_leyenda10 = $row["show_leyenda"];
					}
				}

        mysqli_free_result($resultado);
	    }
		?>

		// Obteniendo Datos
		<?php
      $query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 1) ORDER BY seriex_orden";

      $legend = "";
      $series = "";
      $seriex_color = "";
			
			if ($res_legend = mysqli_query($enlace, $query)) {
				if (mysqli_num_rows($res_legend) > 0) {
					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  					$filtros = '';

  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

						// Armando el query que obtiene el valor que mostrará la barra
  					if ($tipopresentacion == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$newfiltro_mes." ".$filtros." ";
						}

						if ($tipopresentacion == 2){
							$noestotal = '';

							if ($componente_criteriodatos != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$newfiltro_mes." ".$noestotal." ".$filtros." ";
						}

						// Obteniendo la etiqueta de la serie
						$nom_serie = $row_legend["seriex_etiqueta"];

						// Concatenando las leyendas por serie
						$legend .= '"'.$nom_serie.'", ';

						// Concatenando los mismos colores por serie
						$seriex_color .= '"'.$row_legend["seriex_color"].'", ';

						// Asignando el valor a la barra
  					if ($res_series = mysqli_query($enlace, $query)) {
  						if (mysqli_num_rows($res_series) > 0) {
  							while($row_series = mysqli_fetch_assoc($res_series)) {
  								$estotal = '';

  								if ($row_legend["es_total"] == 1){
  									$estotal = 'markLine:{data:[{type:"max",}]},';
  								}

  								$series .= '{name:"'.$nom_serie.'",
  											type:"bar",
  											data:['.$row_series["total"].'],
 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
 		 		 			  				label:{normal: {show: true,
														    position:"insideBottom",
														    distance:-20,
														    align:"middle",
														    verticalAlign:"middle",
														    rotate:45,
														    fontSize: 16,
														    textStyle: { color: '."'#000000'".'},
														    formatter:'."'".substr($nom_serie, 0, 2)."'".',
														    rich: {name: {textBorderColor: "#000000"}}
														    }}
				    	  	 				}, ';
  							}
  						}

  						mysqli_free_result($res_series);
  					}
					}
				}

				$legend = substr($legend, 0, -2);
				$series = substr($series, 0, -2);
				$seriex_color = substr($seriex_color, 0, -2);

				if($show_leyenda == 0){
					$legend = '';
				}

        mysqli_free_result($res_legend);
			}
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 2) ORDER BY seriex_orden";

  			$legend2 = "";
  			$series2 = "";
  			$seriex_color2 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

						// Armando el query que obtiene el valor que mostrará la barra
  					if ($tipopresentacion2 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion2 == 2){
							$noestotal = '';

							if ($componente_criteriodatos2 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos2."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

							// Determinando la etiqueta de la serie
							if($w == 1){
								$nom_serie = $row_legend["seriex_etiqueta"];
							}
							else{
								if ($newfiltro_mes == 1){
									$nom_serie = "ENE-".$row_legend["seriex_etiqueta"];
								}
								if ($newfiltro_mes == 2){
									$nom_serie = "FEB-".$row_legend["seriex_etiqueta"];
								}
							}

							// Concatenando las leyendas por serie
  							$legend2 .= '"'.$nom_serie.'", ';

  							// Concatenando los mismos colores por serie
  							$seriex_color2 .= '"'.$row_legend["seriex_color"].'", ';

		  					// Asignando el valor a la barra
		  					if ($res_series = mysqli_query($enlace, $query)) {
		  						if (mysqli_num_rows($res_series) > 0) {
		  							while($row_series = mysqli_fetch_assoc($res_series)) {
		  								$estotal = '';

		  								if ($row_legend["es_total"] == 1){
		  									$estotal = 'markLine:{data:[{type:"max",}]},';
		  								}

		  								$series2 .= '{name:"'.$nom_serie.'",
		  											type:"bar",
		  											data:['.$row_series["total"].'],
		 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
		 		 		 			  				label:{normal: {show: true,
																    position:"insideBottom",
																    distance:-20,
																    align:"middle",
																    verticalAlign:"middle",
																    rotate:45,
																    fontSize: 16,
																    textStyle: { color: '."'#000000'".'},
																    formatter:'."'".substr($nom_serie, 0, 2)."'".',
																    rich: {name: {textBorderColor: "#000000"}}
																    }}
						    	  	 				}, ';
		  							}
		  						}

		  						mysqli_free_result($res_series);
		  					}

		  					$i += 1;

		  					$newfiltro_mes += $i;
		  				}
  					}

  					$legend2 = substr($legend2, 0, -2);
  					$series2 = substr($series2, 0, -2);
  					$seriex_color2 = substr($seriex_color2, 0, -2);

  					if($show_leyenda2 == 0){
  						$legend2 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 3) ORDER BY seriex_orden";

  			$legend3 = "";
  			$series3 = "";
  			$seriex_color3 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color3 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend3 .= '"'.$row_legend["seriex_etiqueta"].'", ';

	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion3 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion3 == 2){
							$noestotal = '';

							if ($componente_criteriodatos3 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos3."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series3 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend3 = substr($legend3, 0, -2);
  					$series3 = substr($series3, 0, -2);
  					$seriex_color3 = substr($seriex_color3, 0, -2);

  					if($show_leyenda3 == 0){
  						$legend3 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 4) ORDER BY seriex_orden";

  			$legend4 = "";
  			$series4 = "";
  			$seriex_color4 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color4 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend4 .= '"'.$row_legend["seriex_etiqueta"].'", ';

	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion4 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion4 == 2){
							$noestotal = '';

							if ($componente_criteriodatos4 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos4."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series4 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend4 = substr($legend4, 0, -2);
  					$series4 = substr($series4, 0, -2);
  					$seriex_color4 = substr($seriex_color4, 0, -2);

  					if($show_leyenda4 == 0){
  						$legend4 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 5) ORDER BY seriex_orden";

  			$legend5 = "";
  			$series5 = "";
  			$seriex_color5 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color5 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend5 .= '"'.$row_legend["seriex_etiqueta"].'", ';

	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion5 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion5 == 2){
							$noestotal = '';

							if ($componente_criteriodatos5 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos5."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series5 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend5 = substr($legend5, 0, -2);
  					$series5 = substr($series5, 0, -2);
  					$seriex_color5 = substr($seriex_color5, 0, -2);

  					if($show_leyenda5 == 0){
  						$legend5 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 6) ORDER BY seriex_orden";

  			$legend6 = "";
  			$series6 = "";
  			$seriex_color6 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color6 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend6 .= '"'.$row_legend["seriex_etiqueta"].'", ';


	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion6 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion6 == 2){
							$noestotal = '';

							if ($componente_criteriodatos6 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos6."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series6 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend6 = substr($legend6, 0, -2);
  					$series6 = substr($series6, 0, -2);
  					$seriex_color6 = substr($seriex_color6, 0, -2);

  					if($show_leyenda6 == 0){
  						$legend6 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 7) ORDER BY seriex_orden";

  			$legend7 = "";
  			$series7 = "";
  			$seriex_color7 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color7 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend7 .= '"'.$row_legend["seriex_etiqueta"].'", ';

	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion7 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion7 == 2){
							$noestotal = '';

							if ($componente_criteriodatos7 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos7."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series7 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend7 = substr($legend7, 0, -2);
  					$series7 = substr($series7, 0, -2);
  					$seriex_color7 = substr($seriex_color7, 0, -2);

  					if($show_leyenda7 == 0){
  						$legend7 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 8) ORDER BY seriex_orden";

  			$legend8 = "";
  			$series8 = "";
  			$seriex_color8 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color8 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend8 .= '"'.$row_legend["seriex_etiqueta"].'", ';

	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion8 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion8 == 2){
							$noestotal = '';

							if ($componente_criteriodatos8 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos8."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series8 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend8 = substr($legend8, 0, -2);
  					$series8 = substr($series8, 0, -2);
  					$seriex_color8 = substr($seriex_color8, 0, -2);

  					if($show_leyenda8 == 0){
  						$legend8 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 9) ORDER BY seriex_orden";

  			$legend9 = "";
  			$series9 = "";
  			$seriex_color9 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color9 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend9 .= '"'.$row_legend["seriex_etiqueta"].'", ';

	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion9 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion9 == 2){
							$noestotal = '';

							if ($componente_criteriodatos9 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos9."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series9 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend9 = substr($legend9, 0, -2);
  					$series9 = substr($series9, 0, -2);
  					$seriex_color9 = substr($seriex_color9, 0, -2);

  					if($show_leyenda9 == 0){
  						$legend9 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		<?php
  			$query = "SELECT seriex_etiqueta, seriex_codpregunta, valor_campo, seriex_color, es_total FROM tb_Indicadores_PresentacionPersonalizada WHERE cod_presentacion = (SELECT Id FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$filtro_encuesta."' AND presentacion_orden = 10) ORDER BY seriex_orden";

  			$legend10 = "";
  			$series10 = "";
  			$seriex_color10 = "";
  			
  			if ($res_legend = mysqli_query($enlace, $query)) {
  				if (mysqli_num_rows($res_legend) > 0) {
  					while($row_legend = mysqli_fetch_assoc($res_legend)) {
  						// Concatenando los colores por serie
  						$seriex_color10 .= '"'.$row_legend["seriex_color"].'", ';

  						// Concatenando las leyendas por serie
  						$legend10 .= '"'.$row_legend["seriex_etiqueta"].'", ';

	  					$filtros = '';

	  					if(isset($filtro_filtros)){
						  if(strlen($filtro_filtros) > 0){
						    $filtros = " AND ".$filtro_filtros;

						    $filtros = str_replace("$", " ", $filtros);
						  }
						}

	  					if ($tipopresentacion10 == 1){
							$query = "SELECT ROUND(AVG(`".$row_legend["seriex_codpregunta"]."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." ";
						}

						if ($tipopresentacion10 == 2){
							$noestotal = '';

							if ($componente_criteriodatos10 != $row_legend["seriex_codpregunta"]){
								$noestotal = "AND ".$row_legend["seriex_codpregunta"]." = '".$row_legend["valor_campo"]."' ";
							}

							$query = "SELECT ROUND(AVG(`".$componente_criteriodatos10."`) * 100, 1) AS total FROM ".$nom_tabla." WHERE cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$noestotal." ".$filtros." ";
						}

	  					if ($res_series = mysqli_query($enlace, $query)) {
	  						if (mysqli_num_rows($res_series) > 0) {
	  							while($row_series = mysqli_fetch_assoc($res_series)) {
	  								$estotal = '';

	  								if ($row_legend["es_total"] == 1){
	  									$estotal = 'markLine:{data:[{type:"max",}]},';
	  								}

	  								$series10 .= '{name:"'.$row_legend["seriex_etiqueta"].'",
	  											type:"bar",
	  											data:['.$row_series["total"].'],
	 		 		 			  				markPoint:{data:[{type:"max"}]},'.$estotal.'
	 		 		 			  				label:{normal: {show: true,
															    position:"insideBottom",
															    distance:-20,
															    align:"middle",
															    verticalAlign:"middle",
															    rotate:45,
															    fontSize: 16,
															    textStyle: { color: '."'#000000'".'},
															    formatter:'."'".$row_legend["seriex_etiqueta"]."'".',
															    rich: {name: {textBorderColor: "#000000"}}
															    }}
					    	  	 				}, ';
	  							}
	  						}

	  						mysqli_free_result($res_series);
	  					}
  					}

  					$legend10 = substr($legend10, 0, -2);
  					$series10 = substr($series10, 0, -2);
  					$seriex_color10 = substr($seriex_color10, 0, -2);

  					if($show_leyenda10 == 0){
  						$legend10 = '';
  					}
  				}

				mysqli_free_result($res_legend);
			}

			//$presentacion_titulo = "Hola";
		?>

		// Pintando eCharts
		if(document.getElementById("presentacion1")){
			// Seteando propiedades
			var theme_a={color:[<?php echo $seriex_color; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

		   	var a=echarts.init(document.getElementById("presentacion1"),theme_a);

			// Cargando Chart
			a.setOption({title:{text:"<?php echo $presentacion_titulo; ?>",
						 subtext:"<?php echo $presentacion_subtitulo; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
		 		 		 series:[<?php echo $series; ?>]
	  					});
		}

		if(document.getElementById("presentacion2")){
			// Seteando propiedades
			var theme_b={color:[<?php echo $seriex_color2; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};
			
			var b=echarts.init(document.getElementById("presentacion2"),theme_b);

			// Cargando Chart
			b.setOption({title:{text:"<?php echo $presentacion_titulo2; ?>",
						 subtext:"<?php echo $presentacion_subtitulo2; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend2; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
		 		 		 series:[<?php echo $series2; ?>]
	  					});
		}

		if(document.getElementById("presentacion3")){
			// Seteando propiedades
			var theme_c={color:[<?php echo $seriex_color3; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var c=echarts.init(document.getElementById("presentacion3"),theme_c);

			// Cargando Chart
			c.setOption({title:{text:"<?php echo $presentacion_titulo3; ?>",
						 subtext:"<?php echo $presentacion_subtitulo3; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend3; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
		 		 		 series:[<?php echo $series3; ?>]
	  					});
		}

		if(document.getElementById("presentacion4")){
			// Seteando propiedades
			var theme_d={color:[<?php echo $seriex_color4; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var d=echarts.init(document.getElementById("presentacion4"),theme_d);

			// Cargando Chart
			d.setOption({title:{text:"<?php echo $presentacion_titulo4; ?>",
						 subtext:"<?php echo $presentacion_subtitulo4; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend4; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
		 		 		 series:[<?php echo $series4; ?>]
	  					});
		}

		if(document.getElementById("presentacion5")){
			// Seteando propiedades
			var theme_e={color:[<?php echo $seriex_color5; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var e=echarts.init(document.getElementById("presentacion5"),theme_e);

			// Cargando Chart
			e.setOption({title:{text:"<?php echo $presentacion_titulo5; ?>",
						 subtext:"<?php echo $presentacion_subtitulo5; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend5; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
					 		 series:[<?php echo $series5; ?>]
							});
		}

		if(document.getElementById("presentacion6")){
			// Seteando propiedades
			var theme_f={color:[<?php echo $seriex_color6; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var f=echarts.init(document.getElementById("presentacion6"),theme_f);

			// Cargando Chart
			f.setOption({title:{text:"<?php echo $presentacion_titulo6; ?>",
						 subtext:"<?php echo $presentacion_subtitulo6; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend6; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
					 		 series:[<?php echo $series6; ?>]
							});
		}

		if(document.getElementById("presentacion7")){
			// Seteando propiedades
			var theme_g={color:[<?php echo $seriex_color7; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var g=echarts.init(document.getElementById("presentacion7"),theme_g);

			// Cargando Chart
			g.setOption({title:{text:"<?php echo $presentacion_titulo7; ?>",
						 subtext:"<?php echo $presentacion_subtitulo7; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend7; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
					 		 series:[<?php echo $series7; ?>]
							});
		}

		if(document.getElementById("presentacion8")){
			// Seteando propiedades
			var theme_h={color:[<?php echo $seriex_color8; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var h=echarts.init(document.getElementById("presentacion8"),theme_h);

			// Cargando Chart
			h.setOption({title:{text:"<?php echo $presentacion_titulo8; ?>",
						 subtext:"<?php echo $presentacion_subtitulo8; ?>"},
						 tooltip:{trigger:"axis"},
						 legend:{data:[<?php echo $legend8; ?>], align: 'left', left: 300},
						 toolbox:{show:!1},
						 calculable:!1,
				 		 xAxis:[{type:"category",
						 		 data:[""]}],
				 		 yAxis:[{type:"value"}],
					 		 series:[<?php echo $series8; ?>]
							});
		}

		if(document.getElementById("presentacion9")){
			// Seteando propiedades
			var theme_i={color:[<?php echo $seriex_color9; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var i=echarts.init(document.getElementById("presentacion9"),theme_i);

			// Cargando Chart
			i.setOption({title:{text:"<?php echo $presentacion_titulo9; ?>",
			 subtext:"<?php echo $presentacion_subtitulo9; ?>"},
			 tooltip:{trigger:"axis"},
			 legend:{data:[<?php echo $legend9; ?>], align: 'left', left: 300},
			 toolbox:{show:!1},
			 calculable:!1,
	 		 xAxis:[{type:"category",
			 		 data:[""]}],
	 		 yAxis:[{type:"value"}],
		 		 series:[<?php echo $series9; ?>]
				});
		}

		if(document.getElementById("presentacion10")){
			// Seteando propiedades
			var theme_j={color:[<?php echo $seriex_color10; ?>],
				   title:{itemGap:8,textStyle:{fontWeight:"normal",color:"#408829"}},
				   dataRange:{color:["#1f610a","#97b58d"]},
				   toolbox:{color:["#408829","#408829","#408829","#408829"]},
				   tooltip:{backgroundColor:"rgba(0,0,0,0.5)",
				   axisPointer:{type:"line",lineStyle:{color:"#408829",type:"dashed"},
				   crossStyle:{color:"#408829"},
				   shadowStyle:{color:"rgba(200,200,200,0.3)"}}},
				   dataZoom:{dataBackgroundColor:"#eee",
				   fillerColor:"rgba(64,136,41,0.2)",
				   handleColor:"#408829"},
				   grid:{borderWidth:0},
				   categoryAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   valueAxis:{axisLine:{lineStyle:{color:"#408829"}},
				   splitArea:{show:!0,areaStyle:{color:["rgba(250,250,250,0.1)","rgba(200,200,200,0.1)"]}},
				   splitLine:{lineStyle:{color:["#eee"]}}},
				   timeline:{lineStyle:{color:"#408829"},
				   controlStyle:{normal:{color:"#408829"},emphasis:{color:"#408829"}}},
				   k:{itemStyle:{normal:{color:"#68a54a",color0:"#a9cba2",
				   lineStyle:{width:1,color:"#408829",color0:"#86b379"}}}},
				   map:{itemStyle:{normal:{areaStyle:{color:"#ddd"},
				   label:{textStyle:{color:"#c12e34"}}},
				   emphasis:{areaStyle:{color:"#99d2dd"},
				   label:{textStyle:{color:"#c12e34"}}}}},
				   force:{itemStyle:{normal:{linkStyle:{strokeColor:"#408829"}}}},
				   chord:{padding:4,itemStyle:{normal:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}},
				   emphasis:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"},
				   chordStyle:{lineStyle:{width:1,color:"rgba(128, 128, 128, 0.5)"}}}}},
				   gauge:{startAngle:225,endAngle:-45,axisLine:{show:!0,lineStyle:{color:[[.2,"#86b379"],[.8,"#68a54a"],[1,"#408829"]],width:8}},
				   axisTick:{splitNumber:10,length:12,lineStyle:{color:"auto"}},
				   axisLabel:{textStyle:{color:"auto"}},
				   splitLine:{length:18,lineStyle:{color:"auto"}},
				   pointer:{length:"90%",color:"auto"},
				   title:{textStyle:{color:"#333"}},
				   detail:{textStyle:{color:"auto"}}},textStyle:{fontFamily:"Arial, Verdana, sans-serif"}};

			var j=echarts.init(document.getElementById("presentacion10"),theme_j);

			// Cargando Chart
			j.setOption({title:{text:"<?php echo $presentacion_titulo10; ?>",
			 subtext:"<?php echo $presentacion_subtitulo10; ?>"},
			 tooltip:{trigger:"axis"},
			 legend:{data:[<?php echo $legend10; ?>], align: 'left', left: 300},
			 toolbox:{show:!1},
			 calculable:!1,
	 		 xAxis:[{type:"category",
			 		 data:[""]}],
	 		 yAxis:[{type:"value"}],
		 		 series:[<?php echo $series10; ?>]
				});
		}
    </script>
  </body>
</html>

<?php
cerrarSesion($enlace);
?>
